<!-- -*- mode: markdown; mode: flyspell -*- -->
# Changelog (onmulti)

## [0.3] - 2024-09-12
### Added
+ `-U`: host list will be unique now unless `-U` is specified
+ `-T`: host list will be sorted if `-T` is specified
+ `-g`: group ini file can be specified with `-g <path>`
### Changed
* shebang is `/usr/bin/env bash` now
### Removed
- `-c`: config files are not longer accepted

## [0.2.3] - 2019-11-25
### Changed
* fixed typo in quiet reports

## [0.2.2] - 2019-11-25
### Changed
* fixed sudo, it must be placed after host, not before

## [0.2.1] - 2019-11-25
### Changed
* fixed exit code bug in compact (default) view

## [0.2] - 2019-11-24
### Added
+ `-l` and `-L`: read command list CSV instead of same command for every host
+ `-D` can be used to specify CSV delimiter (`,` is default)
+ `-t` can be used to test connections and credentials before running commands
+ `-i/-o` can be used to specify stdin/stdout programs
+ `-I/-O` can be used to pass arguments to stdin/stdout programs
### Changed
* fixed compact layout line breaks (issue #3)
* onmulti will now start w/o config file
* range delimiter is set with `-d` instead of `-D`
### Removed
- removed `-n` in favor of `-t`

## [0.1.4] - 2019-11-12
### Added
+ x11 forward control: `-X` `-x`
+ agent forward control: `-Ay` `-a`

## [0.1.3] - 2019-11-11
### Added
+ random wait: `-r <seconds>`
+ dry run: `-n`
+ custom range list delimiter: `-D <delimiter>`
### Changed
* ranges now support delimited list
### Removed
- add range: `-r <range>`

## [0.1.2] - 2019-11-11
### Changed
* now works in parallel

## [0.1.1] - 2019-11-11
### Changed
* fix ordering bug

## [0.1] - 2019-11-11
### Added
+ First release
